import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/couponrecord/` + url, ...arg)

/**
 * 优惠券记录Api接口管理器
 *
 * @author wulei
 * @date  2025/02/06 17:38
 **/
export default {
	// 获取优惠券记录分页
	bizCouponRecordPage(data) {
		return request('page', data, 'get')
	},
	// 提交优惠券记录表单 edit为true时为编辑，默认为新增
	bizCouponRecordSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除优惠券记录
	bizCouponRecordDelete(data) {
		return request('delete', data)
	},
	// 获取优惠券记录详情
	bizCouponRecordDetail(data) {
		return request('detail', data, 'get')
	},
	// 手动赠送蛋糕券
	giftCoupon(data){
		return request('giftCoupon',data)
	}
}
